Main Page Packages Class Hierarchy Compound List File List Compound Members

# entitygetpublicid Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| entitygetpublicid (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getPublicId()" method of an Entity node contains the public identifier associated with the entity, if one was specified.

Retrieve the entity named "ent5" and access its public identifier. The string "entityURI" should be returned.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-D7303025 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-6ABAEB38 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-D7C29F3E

Definition at line 47 of file entitygetpublicid.java.

## Constructor & Destructor Documentation

entitygetpublicid::entitygetpublicid | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 49 of file entitygetpublicid.java.
    00050  {
    00051       super(factory);
    00052
    00053    }

## Member Function Documentation

String entitygetpublicid::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 75 of file entitygetpublicid.java.
    00075                                 {
    00076       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/entitygetpublicid";
    00077    }

void entitygetpublicid::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 78 of file entitygetpublicid.java. References DOMTestCase::doMain().
    00078                                           {
    00079         DOMTestCase.doMain(entitygetpublicid.class,args);
    00080    }

void entitygetpublicid::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 55 of file entitygetpublicid.java. References DOMTestCase::assertEquals(), DOMTestCase::assertURIEquals(), and DOMTest::load().
    00055                                                     {
    00056       Document doc;
    00057       DocumentType docType;
    00058       NamedNodeMap entityList;
    00059       Entity entityNode;
    00060       String publicId;
    00061       String systemId;
    00062       String notation;
    00063       doc = load("staff");
    00064       docType = doc.getDoctype();
    00065       entityList = docType.getEntities();
    00066       entityNode = (Entity)entityList.getNamedItem("ent5");
    00067       publicId = entityNode.getPublicId();
    00068       assertEquals("publicId","entityURI",publicId);
    00069       systemId = entityNode.getSystemId();
    00070       assertURIEquals("systemId",null,null,null,"entityFile",null,null,null,systemId);
    00071 notation = entityNode.getNotationName();
    00072       assertEquals("notation","notation1",notation);
    00073
    00074    }

The documentation for this class was generated from the following file:

- entitygetpublicid.java